these changes worked for me on cdh5.4.4 and phoenix 4.5.1-hbase-1.0 : http://stackoverflow.com/a/31934434/165130


On Sat, Aug 22, 2015 at 10:17 AM, Ns G <nsgnsg84@gmail.com> wrote:

Hi Lukas,

I have shared the changes I made in one of the previous email. Did u try them?

Thanks,
Satya

On 22-Aug-2015 6:51 pm, "Lukáš Lalinský" <lalinsky@gmail.com> wrote:
On Sat, Aug 22, 2015 at 1:26 AM, Ns G <nsgnsg84@gmail.com> wrote:

But, what I can suggest is with minimal changes to the phoenix code you will be able to build & deploy phoenix on CDH 5.4.x version.

I didn't try phoenix query server but I was able to generate all server and client jars and deploy on CDH 5.4. And use it successfully.

I'm curious about this, because when I tried to run Phoenix on CDH I ran into some compatibility issues. I don't remember the details, but it was about HBase classes not having the right methods. That's when I realized CDH is really a fork of Hadoop and I switched to deploying custom packages based on the original versions.

Did you have to do anything special, or just use the Phoenix binary tarball?

Lukas